Skip to content
AchaduDevelopers
Operational APIGo to website
Dashboard
Developers/API/webhook_update
Webhooks

Update webhook

Update URL, events or state without changing the secret.

PATCH/webhooks/{id}webhooks:write

Request

idstring · pathResource identifier.mandatory
namestring · bodyName.optional
urlstring · bodyPublic HTTPS URL.optional
eventsarray · bodyEvents or *.optional
activeboolean · bodyActivates the destination.optional

Example

curl
curl -X PATCH 'https://achadu.com/api/v1/webhooks/resource_id' \
+  -H 'Authorization: Bearer ach_live_...' \
+  -H 'Accept: application/json' \
+  -H 'Content-Type: application/json' \
+  --data '{
  "name": "My integration",
  "url": "https://example.com/product",
  "events": [
    "offer.created"
  ]
}'

Answer

200Operation completed
4xxError with code, message and request_id